GuideLab API

Update Expense

PATCH
/finances/expenses/{id}

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/finances/expenses/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "labId": "string",    "categoryId": "string",    "description": "string",    "originalAmount": "string",    "originalCurrency": "string",    "reportingAmount": "string",    "reportingCurrency": "string",    "status": "string",    "occurredOn": "string",    "property1": null,    "property2": null  }}
Empty
Empty
Empty